import theme from './theme'
import App from './App'
import Fonts from './Fonts'
import GlobalStyles from './GlobalStyles'
import Box from './Box'
import Input from './Input'
import Textarea from './Textarea'
import Alert from './Alert'
import SearchInput from './SearchInput'
import Select from './Select'
import Text from './Text'
import Code from './Code'
import CodeBlock from './CodeBlock'
import Link from './Link'
import Pane from './Pane'
import Button from './Button'
import Avatar from './Avatar'
import SegmentLogo from './SegmentLogo'
import SegmentIcon from './SegmentIcon'
import Spinner from './Spinner'
import Sheet from './Sheet'
import BottomSheet from './BottomSheet'
import Dialog from './Dialog'
import ValidationMessage from './ValidationMessage'
import withLoader from './withLoader'
import Popover from './Popover'
import Portal from './Portal'
import Radio from './Radio'
import SegmentedControl from './SegmentedControl'
import Icon from './Icon'
import DirectionalIcon from './DirectionalIcon'
import Triangle from './Triangle'
import DoubleTriangle from './DoubleTriangle'
import Arrow from './Arrow'
import Chevron from './Chevron'
import Close from './Close'
import ExclamationCircle from './ExclamationCircle'
import CheckCircle from './CheckCircle'
import SearchIcon from './SearchIcon'
import HelpIcon from './HelpIcon'
import CogIcon from './CogIcon'
import SuccessAlertIcon from './SuccessAlertIcon'
import QuestionAlertIcon from './QuestionAlertIcon'
import DangerAlertIcon from './DangerAlertIcon'
import WarningAlertIcon from './WarningAlertIcon'

import {
  Display1,
  Display2,
  Display3,
  Display4,
  Display5,
  Body1,
  Body2,
  Caps1,
  Caps2
} from './TextStyles'

import {
  NavigationBar,
  NavigationBarTitle,
  NavigationBarLink
} from './NavigationBar'

import {
  SubNavigationBar,
  SubNavigationBarLink,
  SubNavigationBarTitle
} from './SubNavigationBar'

import {
  Sidebar,
  SidebarLink
} from './Sidebar'

import {
  Space,
  SpaceType
} from './Space'

const { minorScale, majorScale } = theme

export {
  theme,
  minorScale,
  majorScale,
  App,
  Fonts,
  GlobalStyles,
  Box,
  Alert,
  Input,
  Radio,
  SegmentedControl,
  Textarea,
  SearchInput,
  Select,
  Text,
  Code,
  CodeBlock,
  Link,
  Pane,
  Button,
  Avatar,
  SegmentLogo,
  SegmentIcon,
  Spinner,
  Sheet,
  BottomSheet,
  Dialog,
  ValidationMessage,
  withLoader,
  Popover,
  Portal,

  Display1,
  Display2,
  Display3,
  Display4,
  Display5,
  Body1,
  Body2,
  Caps1,
  Caps2,

  Icon,
  DirectionalIcon,
  Triangle,
  DoubleTriangle,
  Arrow,
  Chevron,
  Close,
  ExclamationCircle,
  CheckCircle,
  SearchIcon,
  HelpIcon,
  CogIcon,
  SuccessAlertIcon,
  QuestionAlertIcon,
  DangerAlertIcon,
  WarningAlertIcon,

  NavigationBar,
  NavigationBarTitle,
  NavigationBarLink,

  SubNavigationBar,
  SubNavigationBarLink,
  SubNavigationBarTitle,
  Sidebar,
  SidebarLink,
  Space,
  SpaceType
}
